Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network147.28.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
147.28.0.0
Broadcast address
147.29.255.255
First usable
147.28.0.1
Last usable
147.29.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex 931C0000 · Integer 2468085760 to 2468216831
Reverse DNS zones
28.147.in-addr.arpa
29.147.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010011.00011100.00000000.00000000147.28.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10010011.00011100.00000000.00000000147.28.0.0
Broadcast10010011.00011101.11111111.11111111147.29.255.255
Split into smaller subnets/24

147.28.0.0/15 makes 512 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1147.28.0.0/24147.28.0.1 to 147.28.0.254147.28.0.255254
2147.28.1.0/24147.28.1.1 to 147.28.1.254147.28.1.255254
3147.28.2.0/24147.28.2.1 to 147.28.2.254147.28.2.255254
4147.28.3.0/24147.28.3.1 to 147.28.3.254147.28.3.255254
5147.28.4.0/24147.28.4.1 to 147.28.4.254147.28.4.255254
6147.28.5.0/24147.28.5.1 to 147.28.5.254147.28.5.255254
7147.28.6.0/24147.28.6.1 to 147.28.6.254147.28.6.255254
8147.28.7.0/24147.28.7.1 to 147.28.7.254147.28.7.255254
9147.28.8.0/24147.28.8.1 to 147.28.8.254147.28.8.255254
10147.28.9.0/24147.28.9.1 to 147.28.9.254147.28.9.255254
11147.28.10.0/24147.28.10.1 to 147.28.10.254147.28.10.255254
12147.28.11.0/24147.28.11.1 to 147.28.11.254147.28.11.255254
13147.28.12.0/24147.28.12.1 to 147.28.12.254147.28.12.255254
14147.28.13.0/24147.28.13.1 to 147.28.13.254147.28.13.255254
15147.28.14.0/24147.28.14.1 to 147.28.14.254147.28.14.255254
16147.28.15.0/24147.28.15.1 to 147.28.15.254147.28.15.255254
17147.28.16.0/24147.28.16.1 to 147.28.16.254147.28.16.255254
18147.28.17.0/24147.28.17.1 to 147.28.17.254147.28.17.255254
19147.28.18.0/24147.28.18.1 to 147.28.18.254147.28.18.255254
20147.28.19.0/24147.28.19.1 to 147.28.19.254147.28.19.255254
21147.28.20.0/24147.28.20.1 to 147.28.20.254147.28.20.255254
22147.28.21.0/24147.28.21.1 to 147.28.21.254147.28.21.255254
23147.28.22.0/24147.28.22.1 to 147.28.22.254147.28.22.255254
24147.28.23.0/24147.28.23.1 to 147.28.23.254147.28.23.255254
25147.28.24.0/24147.28.24.1 to 147.28.24.254147.28.24.255254
26147.28.25.0/24147.28.25.1 to 147.28.25.254147.28.25.255254
27147.28.26.0/24147.28.26.1 to 147.28.26.254147.28.26.255254
28147.28.27.0/24147.28.27.1 to 147.28.27.254147.28.27.255254
29147.28.28.0/24147.28.28.1 to 147.28.28.254147.28.28.255254
30147.28.29.0/24147.28.29.1 to 147.28.29.254147.28.29.255254
31147.28.30.0/24147.28.30.1 to 147.28.30.254147.28.30.255254
32147.28.31.0/24147.28.31.1 to 147.28.31.254147.28.31.255254
33147.28.32.0/24147.28.32.1 to 147.28.32.254147.28.32.255254
34147.28.33.0/24147.28.33.1 to 147.28.33.254147.28.33.255254
35147.28.34.0/24147.28.34.1 to 147.28.34.254147.28.34.255254
36147.28.35.0/24147.28.35.1 to 147.28.35.254147.28.35.255254
37147.28.36.0/24147.28.36.1 to 147.28.36.254147.28.36.255254
38147.28.37.0/24147.28.37.1 to 147.28.37.254147.28.37.255254
39147.28.38.0/24147.28.38.1 to 147.28.38.254147.28.38.255254
40147.28.39.0/24147.28.39.1 to 147.28.39.254147.28.39.255254
41147.28.40.0/24147.28.40.1 to 147.28.40.254147.28.40.255254
42147.28.41.0/24147.28.41.1 to 147.28.41.254147.28.41.255254
43147.28.42.0/24147.28.42.1 to 147.28.42.254147.28.42.255254
44147.28.43.0/24147.28.43.1 to 147.28.43.254147.28.43.255254
45147.28.44.0/24147.28.44.1 to 147.28.44.254147.28.44.255254
46147.28.45.0/24147.28.45.1 to 147.28.45.254147.28.45.255254
47147.28.46.0/24147.28.46.1 to 147.28.46.254147.28.46.255254
48147.28.47.0/24147.28.47.1 to 147.28.47.254147.28.47.255254
49147.28.48.0/24147.28.48.1 to 147.28.48.254147.28.48.255254
50147.28.49.0/24147.28.49.1 to 147.28.49.254147.28.49.255254
51147.28.50.0/24147.28.50.1 to 147.28.50.254147.28.50.255254
52147.28.51.0/24147.28.51.1 to 147.28.51.254147.28.51.255254
53147.28.52.0/24147.28.52.1 to 147.28.52.254147.28.52.255254
54147.28.53.0/24147.28.53.1 to 147.28.53.254147.28.53.255254
55147.28.54.0/24147.28.54.1 to 147.28.54.254147.28.54.255254
56147.28.55.0/24147.28.55.1 to 147.28.55.254147.28.55.255254
57147.28.56.0/24147.28.56.1 to 147.28.56.254147.28.56.255254
58147.28.57.0/24147.28.57.1 to 147.28.57.254147.28.57.255254
59147.28.58.0/24147.28.58.1 to 147.28.58.254147.28.58.255254
60147.28.59.0/24147.28.59.1 to 147.28.59.254147.28.59.255254
61147.28.60.0/24147.28.60.1 to 147.28.60.254147.28.60.255254
62147.28.61.0/24147.28.61.1 to 147.28.61.254147.28.61.255254
63147.28.62.0/24147.28.62.1 to 147.28.62.254147.28.62.255254
64147.28.63.0/24147.28.63.1 to 147.28.63.254147.28.63.255254
65147.28.64.0/24147.28.64.1 to 147.28.64.254147.28.64.255254
66147.28.65.0/24147.28.65.1 to 147.28.65.254147.28.65.255254
67147.28.66.0/24147.28.66.1 to 147.28.66.254147.28.66.255254
68147.28.67.0/24147.28.67.1 to 147.28.67.254147.28.67.255254
69147.28.68.0/24147.28.68.1 to 147.28.68.254147.28.68.255254
70147.28.69.0/24147.28.69.1 to 147.28.69.254147.28.69.255254
71147.28.70.0/24147.28.70.1 to 147.28.70.254147.28.70.255254
72147.28.71.0/24147.28.71.1 to 147.28.71.254147.28.71.255254
73147.28.72.0/24147.28.72.1 to 147.28.72.254147.28.72.255254
74147.28.73.0/24147.28.73.1 to 147.28.73.254147.28.73.255254
75147.28.74.0/24147.28.74.1 to 147.28.74.254147.28.74.255254
76147.28.75.0/24147.28.75.1 to 147.28.75.254147.28.75.255254
77147.28.76.0/24147.28.76.1 to 147.28.76.254147.28.76.255254
78147.28.77.0/24147.28.77.1 to 147.28.77.254147.28.77.255254
79147.28.78.0/24147.28.78.1 to 147.28.78.254147.28.78.255254
80147.28.79.0/24147.28.79.1 to 147.28.79.254147.28.79.255254
81147.28.80.0/24147.28.80.1 to 147.28.80.254147.28.80.255254
82147.28.81.0/24147.28.81.1 to 147.28.81.254147.28.81.255254
83147.28.82.0/24147.28.82.1 to 147.28.82.254147.28.82.255254
84147.28.83.0/24147.28.83.1 to 147.28.83.254147.28.83.255254
85147.28.84.0/24147.28.84.1 to 147.28.84.254147.28.84.255254
86147.28.85.0/24147.28.85.1 to 147.28.85.254147.28.85.255254
87147.28.86.0/24147.28.86.1 to 147.28.86.254147.28.86.255254
88147.28.87.0/24147.28.87.1 to 147.28.87.254147.28.87.255254
89147.28.88.0/24147.28.88.1 to 147.28.88.254147.28.88.255254
90147.28.89.0/24147.28.89.1 to 147.28.89.254147.28.89.255254
91147.28.90.0/24147.28.90.1 to 147.28.90.254147.28.90.255254
92147.28.91.0/24147.28.91.1 to 147.28.91.254147.28.91.255254
93147.28.92.0/24147.28.92.1 to 147.28.92.254147.28.92.255254
94147.28.93.0/24147.28.93.1 to 147.28.93.254147.28.93.255254
95147.28.94.0/24147.28.94.1 to 147.28.94.254147.28.94.255254
96147.28.95.0/24147.28.95.1 to 147.28.95.254147.28.95.255254
97147.28.96.0/24147.28.96.1 to 147.28.96.254147.28.96.255254
98147.28.97.0/24147.28.97.1 to 147.28.97.254147.28.97.255254
99147.28.98.0/24147.28.98.1 to 147.28.98.254147.28.98.255254
100147.28.99.0/24147.28.99.1 to 147.28.99.254147.28.99.255254
101147.28.100.0/24147.28.100.1 to 147.28.100.254147.28.100.255254
102147.28.101.0/24147.28.101.1 to 147.28.101.254147.28.101.255254
103147.28.102.0/24147.28.102.1 to 147.28.102.254147.28.102.255254
104147.28.103.0/24147.28.103.1 to 147.28.103.254147.28.103.255254
105147.28.104.0/24147.28.104.1 to 147.28.104.254147.28.104.255254
106147.28.105.0/24147.28.105.1 to 147.28.105.254147.28.105.255254
107147.28.106.0/24147.28.106.1 to 147.28.106.254147.28.106.255254
108147.28.107.0/24147.28.107.1 to 147.28.107.254147.28.107.255254
109147.28.108.0/24147.28.108.1 to 147.28.108.254147.28.108.255254
110147.28.109.0/24147.28.109.1 to 147.28.109.254147.28.109.255254
111147.28.110.0/24147.28.110.1 to 147.28.110.254147.28.110.255254
112147.28.111.0/24147.28.111.1 to 147.28.111.254147.28.111.255254
113147.28.112.0/24147.28.112.1 to 147.28.112.254147.28.112.255254
114147.28.113.0/24147.28.113.1 to 147.28.113.254147.28.113.255254
115147.28.114.0/24147.28.114.1 to 147.28.114.254147.28.114.255254
116147.28.115.0/24147.28.115.1 to 147.28.115.254147.28.115.255254
117147.28.116.0/24147.28.116.1 to 147.28.116.254147.28.116.255254
118147.28.117.0/24147.28.117.1 to 147.28.117.254147.28.117.255254
119147.28.118.0/24147.28.118.1 to 147.28.118.254147.28.118.255254
120147.28.119.0/24147.28.119.1 to 147.28.119.254147.28.119.255254
121147.28.120.0/24147.28.120.1 to 147.28.120.254147.28.120.255254
122147.28.121.0/24147.28.121.1 to 147.28.121.254147.28.121.255254
123147.28.122.0/24147.28.122.1 to 147.28.122.254147.28.122.255254
124147.28.123.0/24147.28.123.1 to 147.28.123.254147.28.123.255254
125147.28.124.0/24147.28.124.1 to 147.28.124.254147.28.124.255254
126147.28.125.0/24147.28.125.1 to 147.28.125.254147.28.125.255254
127147.28.126.0/24147.28.126.1 to 147.28.126.254147.28.126.255254
128147.28.127.0/24147.28.127.1 to 147.28.127.254147.28.127.255254
129147.28.128.0/24147.28.128.1 to 147.28.128.254147.28.128.255254
130147.28.129.0/24147.28.129.1 to 147.28.129.254147.28.129.255254
131147.28.130.0/24147.28.130.1 to 147.28.130.254147.28.130.255254
132147.28.131.0/24147.28.131.1 to 147.28.131.254147.28.131.255254
133147.28.132.0/24147.28.132.1 to 147.28.132.254147.28.132.255254
134147.28.133.0/24147.28.133.1 to 147.28.133.254147.28.133.255254
135147.28.134.0/24147.28.134.1 to 147.28.134.254147.28.134.255254
136147.28.135.0/24147.28.135.1 to 147.28.135.254147.28.135.255254
137147.28.136.0/24147.28.136.1 to 147.28.136.254147.28.136.255254
138147.28.137.0/24147.28.137.1 to 147.28.137.254147.28.137.255254
139147.28.138.0/24147.28.138.1 to 147.28.138.254147.28.138.255254
140147.28.139.0/24147.28.139.1 to 147.28.139.254147.28.139.255254
141147.28.140.0/24147.28.140.1 to 147.28.140.254147.28.140.255254
142147.28.141.0/24147.28.141.1 to 147.28.141.254147.28.141.255254
143147.28.142.0/24147.28.142.1 to 147.28.142.254147.28.142.255254
144147.28.143.0/24147.28.143.1 to 147.28.143.254147.28.143.255254
145147.28.144.0/24147.28.144.1 to 147.28.144.254147.28.144.255254
146147.28.145.0/24147.28.145.1 to 147.28.145.254147.28.145.255254
147147.28.146.0/24147.28.146.1 to 147.28.146.254147.28.146.255254
148147.28.147.0/24147.28.147.1 to 147.28.147.254147.28.147.255254
149147.28.148.0/24147.28.148.1 to 147.28.148.254147.28.148.255254
150147.28.149.0/24147.28.149.1 to 147.28.149.254147.28.149.255254
151147.28.150.0/24147.28.150.1 to 147.28.150.254147.28.150.255254
152147.28.151.0/24147.28.151.1 to 147.28.151.254147.28.151.255254
153147.28.152.0/24147.28.152.1 to 147.28.152.254147.28.152.255254
154147.28.153.0/24147.28.153.1 to 147.28.153.254147.28.153.255254
155147.28.154.0/24147.28.154.1 to 147.28.154.254147.28.154.255254
156147.28.155.0/24147.28.155.1 to 147.28.155.254147.28.155.255254
157147.28.156.0/24147.28.156.1 to 147.28.156.254147.28.156.255254
158147.28.157.0/24147.28.157.1 to 147.28.157.254147.28.157.255254
159147.28.158.0/24147.28.158.1 to 147.28.158.254147.28.158.255254
160147.28.159.0/24147.28.159.1 to 147.28.159.254147.28.159.255254
161147.28.160.0/24147.28.160.1 to 147.28.160.254147.28.160.255254
162147.28.161.0/24147.28.161.1 to 147.28.161.254147.28.161.255254
163147.28.162.0/24147.28.162.1 to 147.28.162.254147.28.162.255254
164147.28.163.0/24147.28.163.1 to 147.28.163.254147.28.163.255254
165147.28.164.0/24147.28.164.1 to 147.28.164.254147.28.164.255254
166147.28.165.0/24147.28.165.1 to 147.28.165.254147.28.165.255254
167147.28.166.0/24147.28.166.1 to 147.28.166.254147.28.166.255254
168147.28.167.0/24147.28.167.1 to 147.28.167.254147.28.167.255254
169147.28.168.0/24147.28.168.1 to 147.28.168.254147.28.168.255254
170147.28.169.0/24147.28.169.1 to 147.28.169.254147.28.169.255254
171147.28.170.0/24147.28.170.1 to 147.28.170.254147.28.170.255254
172147.28.171.0/24147.28.171.1 to 147.28.171.254147.28.171.255254
173147.28.172.0/24147.28.172.1 to 147.28.172.254147.28.172.255254
174147.28.173.0/24147.28.173.1 to 147.28.173.254147.28.173.255254
175147.28.174.0/24147.28.174.1 to 147.28.174.254147.28.174.255254
176147.28.175.0/24147.28.175.1 to 147.28.175.254147.28.175.255254
177147.28.176.0/24147.28.176.1 to 147.28.176.254147.28.176.255254
178147.28.177.0/24147.28.177.1 to 147.28.177.254147.28.177.255254
179147.28.178.0/24147.28.178.1 to 147.28.178.254147.28.178.255254
180147.28.179.0/24147.28.179.1 to 147.28.179.254147.28.179.255254
181147.28.180.0/24147.28.180.1 to 147.28.180.254147.28.180.255254
182147.28.181.0/24147.28.181.1 to 147.28.181.254147.28.181.255254
183147.28.182.0/24147.28.182.1 to 147.28.182.254147.28.182.255254
184147.28.183.0/24147.28.183.1 to 147.28.183.254147.28.183.255254
185147.28.184.0/24147.28.184.1 to 147.28.184.254147.28.184.255254
186147.28.185.0/24147.28.185.1 to 147.28.185.254147.28.185.255254
187147.28.186.0/24147.28.186.1 to 147.28.186.254147.28.186.255254
188147.28.187.0/24147.28.187.1 to 147.28.187.254147.28.187.255254
189147.28.188.0/24147.28.188.1 to 147.28.188.254147.28.188.255254
190147.28.189.0/24147.28.189.1 to 147.28.189.254147.28.189.255254
191147.28.190.0/24147.28.190.1 to 147.28.190.254147.28.190.255254
192147.28.191.0/24147.28.191.1 to 147.28.191.254147.28.191.255254
193147.28.192.0/24147.28.192.1 to 147.28.192.254147.28.192.255254
194147.28.193.0/24147.28.193.1 to 147.28.193.254147.28.193.255254
195147.28.194.0/24147.28.194.1 to 147.28.194.254147.28.194.255254
196147.28.195.0/24147.28.195.1 to 147.28.195.254147.28.195.255254
197147.28.196.0/24147.28.196.1 to 147.28.196.254147.28.196.255254
198147.28.197.0/24147.28.197.1 to 147.28.197.254147.28.197.255254
199147.28.198.0/24147.28.198.1 to 147.28.198.254147.28.198.255254
200147.28.199.0/24147.28.199.1 to 147.28.199.254147.28.199.255254
201147.28.200.0/24147.28.200.1 to 147.28.200.254147.28.200.255254
202147.28.201.0/24147.28.201.1 to 147.28.201.254147.28.201.255254
203147.28.202.0/24147.28.202.1 to 147.28.202.254147.28.202.255254
204147.28.203.0/24147.28.203.1 to 147.28.203.254147.28.203.255254
205147.28.204.0/24147.28.204.1 to 147.28.204.254147.28.204.255254
206147.28.205.0/24147.28.205.1 to 147.28.205.254147.28.205.255254
207147.28.206.0/24147.28.206.1 to 147.28.206.254147.28.206.255254
208147.28.207.0/24147.28.207.1 to 147.28.207.254147.28.207.255254
209147.28.208.0/24147.28.208.1 to 147.28.208.254147.28.208.255254
210147.28.209.0/24147.28.209.1 to 147.28.209.254147.28.209.255254
211147.28.210.0/24147.28.210.1 to 147.28.210.254147.28.210.255254
212147.28.211.0/24147.28.211.1 to 147.28.211.254147.28.211.255254
213147.28.212.0/24147.28.212.1 to 147.28.212.254147.28.212.255254
214147.28.213.0/24147.28.213.1 to 147.28.213.254147.28.213.255254
215147.28.214.0/24147.28.214.1 to 147.28.214.254147.28.214.255254
216147.28.215.0/24147.28.215.1 to 147.28.215.254147.28.215.255254
217147.28.216.0/24147.28.216.1 to 147.28.216.254147.28.216.255254
218147.28.217.0/24147.28.217.1 to 147.28.217.254147.28.217.255254
219147.28.218.0/24147.28.218.1 to 147.28.218.254147.28.218.255254
220147.28.219.0/24147.28.219.1 to 147.28.219.254147.28.219.255254
221147.28.220.0/24147.28.220.1 to 147.28.220.254147.28.220.255254
222147.28.221.0/24147.28.221.1 to 147.28.221.254147.28.221.255254
223147.28.222.0/24147.28.222.1 to 147.28.222.254147.28.222.255254
224147.28.223.0/24147.28.223.1 to 147.28.223.254147.28.223.255254
225147.28.224.0/24147.28.224.1 to 147.28.224.254147.28.224.255254
226147.28.225.0/24147.28.225.1 to 147.28.225.254147.28.225.255254
227147.28.226.0/24147.28.226.1 to 147.28.226.254147.28.226.255254
228147.28.227.0/24147.28.227.1 to 147.28.227.254147.28.227.255254
229147.28.228.0/24147.28.228.1 to 147.28.228.254147.28.228.255254
230147.28.229.0/24147.28.229.1 to 147.28.229.254147.28.229.255254
231147.28.230.0/24147.28.230.1 to 147.28.230.254147.28.230.255254
232147.28.231.0/24147.28.231.1 to 147.28.231.254147.28.231.255254
233147.28.232.0/24147.28.232.1 to 147.28.232.254147.28.232.255254
234147.28.233.0/24147.28.233.1 to 147.28.233.254147.28.233.255254
235147.28.234.0/24147.28.234.1 to 147.28.234.254147.28.234.255254
236147.28.235.0/24147.28.235.1 to 147.28.235.254147.28.235.255254
237147.28.236.0/24147.28.236.1 to 147.28.236.254147.28.236.255254
238147.28.237.0/24147.28.237.1 to 147.28.237.254147.28.237.255254
239147.28.238.0/24147.28.238.1 to 147.28.238.254147.28.238.255254
240147.28.239.0/24147.28.239.1 to 147.28.239.254147.28.239.255254
241147.28.240.0/24147.28.240.1 to 147.28.240.254147.28.240.255254
242147.28.241.0/24147.28.241.1 to 147.28.241.254147.28.241.255254
243147.28.242.0/24147.28.242.1 to 147.28.242.254147.28.242.255254
244147.28.243.0/24147.28.243.1 to 147.28.243.254147.28.243.255254
245147.28.244.0/24147.28.244.1 to 147.28.244.254147.28.244.255254
246147.28.245.0/24147.28.245.1 to 147.28.245.254147.28.245.255254
247147.28.246.0/24147.28.246.1 to 147.28.246.254147.28.246.255254
248147.28.247.0/24147.28.247.1 to 147.28.247.254147.28.247.255254
249147.28.248.0/24147.28.248.1 to 147.28.248.254147.28.248.255254
250147.28.249.0/24147.28.249.1 to 147.28.249.254147.28.249.255254
251147.28.250.0/24147.28.250.1 to 147.28.250.254147.28.250.255254
252147.28.251.0/24147.28.251.1 to 147.28.251.254147.28.251.255254
253147.28.252.0/24147.28.252.1 to 147.28.252.254147.28.252.255254
254147.28.253.0/24147.28.253.1 to 147.28.253.254147.28.253.255254
255147.28.254.0/24147.28.254.1 to 147.28.254.254147.28.254.255254
256147.28.255.0/24147.28.255.1 to 147.28.255.254147.28.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses